package com.ruoyi.generator.domain.Community;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 用户 通知设置表 By Qing
 * @TableName community_user_notification
 */
@Data
@TableName("community_user_notification")
public class CommunityUserNotification  implements Serializable  {
    /**
     * 唯一id
     */
    @NotNull(message = "[唯一id]不能为空")
    @ApiModelProperty("唯一id")
    @TableId(type = IdType.AUTO, value = "id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;
    /**
     * 用户id
     */
    @ApiModelProperty("用户id")
    private Long userId;

    /**
     * 赞和收藏
     */
    @ApiModelProperty("赞和收藏")
    private Boolean isPraiseCollection;
    /**
     * 新增关注
     */
    @ApiModelProperty("新增关注")
    private Boolean isAddAttention;
    /**
     * 评论
     */
    @ApiModelProperty("评论")
    private Boolean isComment;
    /**
     * @
     */
    @ApiModelProperty("@")
    private Boolean isCircle;
    /**
     * 私信
     */
    @ApiModelProperty("私信")
    private Boolean isLetter;
}
