package com.ruoyi.generator.mapper.community;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.generator.domain.Community.CommunityArticleComment;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface CommunityArticleCommentMapper extends BaseMapper<CommunityArticleComment> {

    /**
     * 获取文章评论回复总数
     * @param articleId 文章id
     * @return 总数
     */
    Integer queryCommentCount(@Param("articleId") Long articleId);
}
