package com.ruoyi.generator.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.generator.domain.Community.CommunityUserNotification;
import com.ruoyi.generator.vo.CommunityUserNotificationVo;

import java.util.List;

/**
 * 业务 服务层
 *
 * @author ruoyi
 */
public interface ICommunityNotificationService extends IService<CommunityUserNotification> {

    /**
     * 获取通知权限
     * @param userId
     * @return 获取通知权限
     */
    List<CommunityUserNotificationVo> selectUserNotification(Long userId);

    /**
     * 更新通知权限
     * @param communityUserNotification
     * @return 返回修改成功的对象
     */
    List<CommunityUserNotificationVo> modifyUserNotification(CommunityUserNotification communityUserNotification);
}
