package com.ruoyi.generator.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.generator.domain.Community.CommunityUserNotification;
import com.ruoyi.generator.domain.Community.CommunityUserPrivacy;
import com.ruoyi.generator.vo.CommunityUserNotificationVo;
import com.ruoyi.generator.vo.CommunityUserPrivacyVo;

import java.util.List;

/**
 * 业务 服务层
 *
 * @author ruoyi
 */
public interface ICommunityPrivacyService extends IService<CommunityUserPrivacy> {

    /**
     * 获取通知权限
     * @param userId
     * @return 获取隐私权限
     */
    List<CommunityUserPrivacyVo> selectUserPrivacy(Long userId);

    /**
     * 更新隐私权限
     * @param communityUserPrivacy
     * @return 返回修改成功的对象
     */
    List<CommunityUserPrivacyVo> modifyUserPrivacy(CommunityUserPrivacy communityUserPrivacy);
}
